Advertisement
Guest User

makefile

a guest
Jul 17th, 2015
561
0
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
text 24.97 KB | None | 0 0
  1. # Makefile.in generated by automake 1.14.1 from Makefile.am.
  2. # Makefile. Generated from Makefile.in by configure.
  3.  
  4. # Copyright (C) 1994-2013 Free Software Foundation, Inc.
  5.  
  6. # This Makefile.in is free software; the Free Software Foundation
  7. # gives unlimited permission to copy and/or distribute it,
  8. # with or without modifications, as long as this notice is preserved.
  9.  
  10. # This program is distributed in the hope that it will be useful,
  11. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  12. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  13. # PARTICULAR PURPOSE.
  14.  
  15.  
  16.  
  17. #Main Makefile for Lenstool
  18.  
  19. am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
  20. am__make_running_with_option = \
  21. case $${target_option-} in \
  22. ?) ;; \
  23. *) echo "am__make_running_with_option: internal error: invalid" \
  24. "target option '$${target_option-}' specified" >&2; \
  25. exit 1;; \
  26. esac; \
  27. has_opt=no; \
  28. sane_makeflags=$$MAKEFLAGS; \
  29. if $(am__is_gnu_make); then \
  30. sane_makeflags=$$MFLAGS; \
  31. else \
  32. case $$MAKEFLAGS in \
  33. *\\[\ \ ]*) \
  34. bs=\\; \
  35. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  36. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  37. esac; \
  38. fi; \
  39. skip_next=no; \
  40. strip_trailopt () \
  41. { \
  42. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  43. }; \
  44. for flg in $$sane_makeflags; do \
  45. test $$skip_next = yes && { skip_next=no; continue; }; \
  46. case $$flg in \
  47. *=*|--*) continue;; \
  48. -*I) strip_trailopt 'I'; skip_next=yes;; \
  49. -*I?*) strip_trailopt 'I';; \
  50. -*O) strip_trailopt 'O'; skip_next=yes;; \
  51. -*O?*) strip_trailopt 'O';; \
  52. -*l) strip_trailopt 'l'; skip_next=yes;; \
  53. -*l?*) strip_trailopt 'l';; \
  54. -[dEDm]) skip_next=yes;; \
  55. -[JT]) skip_next=yes;; \
  56. esac; \
  57. case $$flg in \
  58. *$$target_option*) has_opt=yes; break;; \
  59. esac; \
  60. done; \
  61. test $$has_opt = yes
  62. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  63. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  64. pkgdatadir = $(datadir)/lenstool
  65. pkgincludedir = $(includedir)/lenstool
  66. pkglibdir = $(libdir)/lenstool
  67. pkglibexecdir = $(libexecdir)/lenstool
  68. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  69. install_sh_DATA = $(install_sh) -c -m 644
  70. install_sh_PROGRAM = $(install_sh) -c
  71. install_sh_SCRIPT = $(install_sh) -c
  72. INSTALL_HEADER = $(INSTALL_DATA)
  73. transform = $(program_transform_name)
  74. NORMAL_INSTALL = :
  75. PRE_INSTALL = :
  76. POST_INSTALL = :
  77. NORMAL_UNINSTALL = :
  78. PRE_UNINSTALL = :
  79. POST_UNINSTALL = :
  80. subdir = .
  81. DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
  82. $(top_srcdir)/configure $(am__configure_deps) INSTALL NEWS \
  83. autoconf/compile autoconf/depcomp autoconf/install-sh \
  84. autoconf/missing $(top_srcdir)/autoconf/compile \
  85. $(top_srcdir)/autoconf/install-sh \
  86. $(top_srcdir)/autoconf/missing
  87. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  88. am__aclocal_m4_deps = $(top_srcdir)/configure.ac
  89. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  90. $(ACLOCAL_M4)
  91. am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  92. configure.lineno config.status.lineno
  93. mkinstalldirs = $(install_sh) -d
  94. CONFIG_CLEAN_FILES =
  95. CONFIG_CLEAN_VPATH_FILES =
  96. AM_V_P = $(am__v_P_$(V))
  97. am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
  98. am__v_P_0 = false
  99. am__v_P_1 = :
  100. AM_V_GEN = $(am__v_GEN_$(V))
  101. am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
  102. am__v_GEN_0 = @echo " GEN " $@;
  103. am__v_GEN_1 =
  104. AM_V_at = $(am__v_at_$(V))
  105. am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
  106. am__v_at_0 = @
  107. am__v_at_1 =
  108. SOURCES =
  109. DIST_SOURCES =
  110. RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
  111. ctags-recursive dvi-recursive html-recursive info-recursive \
  112. install-data-recursive install-dvi-recursive \
  113. install-exec-recursive install-html-recursive \
  114. install-info-recursive install-pdf-recursive \
  115. install-ps-recursive install-recursive installcheck-recursive \
  116. installdirs-recursive pdf-recursive ps-recursive \
  117. tags-recursive uninstall-recursive
  118. am__can_run_installinfo = \
  119. case $$AM_UPDATE_INFO_DIR in \
  120. n|no|NO) false;; \
  121. *) (install-info --version) >/dev/null 2>&1;; \
  122. esac
  123. RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
  124. distclean-recursive maintainer-clean-recursive
  125. am__recursive_targets = \
  126. $(RECURSIVE_TARGETS) \
  127. $(RECURSIVE_CLEAN_TARGETS) \
  128. $(am__extra_recursive_targets)
  129. AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
  130. cscope distdir dist dist-all distcheck
  131. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  132. # Read a list of newline-separated strings from the standard input,
  133. # and print each of them once, without duplicates. Input order is
  134. # *not* preserved.
  135. am__uniquify_input = $(AWK) '\
  136. BEGIN { nonempty = 0; } \
  137. { items[$$0] = 1; nonempty = 1; } \
  138. END { if (nonempty) { for (i in items) print i; }; } \
  139. '
  140. # Make sure the list of sources is unique. This is necessary because,
  141. # e.g., the same source file might be shared among _SOURCES variables
  142. # for different programs/libraries.
  143. am__define_uniq_tagged_files = \
  144. list='$(am__tagged_files)'; \
  145. unique=`for i in $$list; do \
  146. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  147. done | $(am__uniquify_input)`
  148. ETAGS = etags
  149. CTAGS = ctags
  150. CSCOPE = cscope
  151. DIST_SUBDIRS = $(SUBDIRS)
  152. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  153. distdir = $(PACKAGE)-$(VERSION)
  154. top_distdir = $(distdir)
  155. am__remove_distdir = \
  156. if test -d "$(distdir)"; then \
  157. find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  158. && rm -rf "$(distdir)" \
  159. || { sleep 5 && rm -rf "$(distdir)"; }; \
  160. else :; fi
  161. am__post_remove_distdir = $(am__remove_distdir)
  162. am__relativize = \
  163. dir0=`pwd`; \
  164. sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  165. sed_rest='s,^[^/]*/*,,'; \
  166. sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  167. sed_butlast='s,/*[^/]*$$,,'; \
  168. while test -n "$$dir1"; do \
  169. first=`echo "$$dir1" | sed -e "$$sed_first"`; \
  170. if test "$$first" != "."; then \
  171. if test "$$first" = ".."; then \
  172. dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
  173. dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
  174. else \
  175. first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
  176. if test "$$first2" = "$$first"; then \
  177. dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
  178. else \
  179. dir2="../$$dir2"; \
  180. fi; \
  181. dir0="$$dir0"/"$$first"; \
  182. fi; \
  183. fi; \
  184. dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  185. done; \
  186. reldir="$$dir2"
  187. DIST_ARCHIVES = $(distdir).tar.gz
  188. GZIP_ENV = --best
  189. DIST_TARGETS = dist-gzip
  190. distuninstallcheck_listfiles = find . -type f -print
  191. am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  192. | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
  193. distcleancheck_listfiles = find . -type f -print
  194. ACLOCAL = ${SHELL} /usr/local/src/lenstool-6.8/autoconf/missing aclocal-1.14
  195. AMTAR = $${TAR-tar}
  196. AM_DEFAULT_VERBOSITY = 1
  197. AUTOCONF = ${SHELL} /usr/local/src/lenstool-6.8/autoconf/missing autoconf
  198. AUTOHEADER = ${SHELL} /usr/local/src/lenstool-6.8/autoconf/missing autoheader
  199. AUTOMAKE = ${SHELL} /usr/local/src/lenstool-6.8/autoconf/missing automake-1.14
  200. AWK = mawk
  201. CC = gcc
  202. CCDEPMODE = depmode=gcc3
  203. CFITSIO_HDR = -I/usr/include
  204. CFITSIO_LIB = -L/usr/lib
  205. CFLAGS = -g -O2 -fopenmp -lm
  206. CPP = gcc -E
  207. CPPFLAGS =
  208. CYGPATH_W = echo
  209. DEFS = -DPACKAGE_NAME=\"Lenstool\" -DPACKAGE_TARNAME=\"lenstool\" -DPACKAGE_VERSION=\"6.8\" -DPACKAGE_STRING=\"Lenstool\ 6.8\" -DPACKAGE_BUGREPORT=\"Jean-Paul\ Kneib\ \<jean-paul.kneib@epfl.ch\>,\ Eric\ Jullo\ \<eric.jullo@lam.fr\>\" -DPACKAGE_URL=\"\" -DHAVE_LIBM=1 -DHAVE_LIBCFITSIO=1 -DHAVE_LIBWCS=1 -DHAVE_LIBGSLCBLAS=1 -DHAVE_LIBGSL=1
  210. DEPDIR = .deps
  211. ECHO_C =
  212. ECHO_N = -n
  213. ECHO_T =
  214. EXEEXT =
  215. F77 = gfortran
  216. FFLAGS = -g -O2
  217. GSL_HDR = -I/usr/include
  218. GSL_LIB = -L/usr/lib/gsl
  219. INSTALL = /usr/bin/install -c
  220. INSTALL_DATA = ${INSTALL} -m 644
  221. INSTALL_PROGRAM = ${INSTALL}
  222. INSTALL_SCRIPT = ${INSTALL}
  223. INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
  224. LDFLAGS =
  225. LIBOBJS =
  226. LIBS =
  227. LTLIBOBJS =
  228. MAKEINFO = ${SHELL} /usr/local/src/lenstool-6.8/autoconf/missing makeinfo
  229. MKDIR_P = /bin/mkdir -p
  230. OBJEXT = o
  231. OPENMP_CFLAGS = -fopenmp -lm
  232. PACKAGE = lenstool
  233. PACKAGE_BUGREPORT = Jean-Paul Kneib <jean-paul.kneib@epfl.ch>, Eric Jullo <eric.jullo@lam.fr>
  234. PACKAGE_NAME = Lenstool
  235. PACKAGE_STRING = Lenstool 6.8
  236. PACKAGE_TARNAME = lenstool
  237. PACKAGE_URL =
  238. PACKAGE_VERSION = 6.8
  239. PATH_SEPARATOR = :
  240. PGPLOT_HDR = -I
  241. PGPLOT_LIB = -L/usr/local/pgplot
  242. RANLIB = ranlib
  243. SET_MAKE =
  244. SHELL = /bin/bash
  245. STRIP =
  246. VERSION = 6.8
  247. WCS_HDR = -I/usr/local/src/wcstools-3.9.2/libwcs
  248. WCS_LIB = -L/usr/local/src/wcstools-3.9.2/libwcs/
  249. XMKMF =
  250. X_CFLAGS = -lm
  251. X_EXTRA_LIBS =
  252. X_LIBS =
  253. X_PRE_LIBS = -lSM -lICE
  254. abs_builddir = /usr/local/src/lenstool-6.8
  255. abs_srcdir = /usr/local/src/lenstool-6.8
  256. abs_top_builddir = /usr/local/src/lenstool-6.8
  257. abs_top_srcdir = /usr/local/src/lenstool-6.8
  258. ac_ct_CC = gcc
  259. ac_ct_F77 = gfortran
  260. am__include = include
  261. am__leading_dot = .
  262. am__quote =
  263. am__tar = $${TAR-tar} chof - "$$tardir"
  264. am__untar = $${TAR-tar} xf -
  265. bindir = ${exec_prefix}/bin
  266. build_alias =
  267. builddir = .
  268. datadir = ${datarootdir}
  269. datarootdir = ${prefix}/share
  270. docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
  271. dvidir = ${docdir}
  272. exec_prefix = ${prefix}
  273. host_alias =
  274. htmldir = ${docdir}
  275. includedir = ${prefix}/include
  276. infodir = ${datarootdir}/info
  277. install_sh = ${SHELL} /usr/local/src/lenstool-6.8/autoconf/install-sh
  278. libdir = ${exec_prefix}/lib
  279. libexecdir = ${exec_prefix}/libexec
  280. localedir = ${datarootdir}/locale
  281. localstatedir = ${prefix}/var
  282. mandir = ${datarootdir}/man
  283. mkdir_p = $(MKDIR_P)
  284. oldincludedir = /usr/include
  285. pdfdir = ${docdir}
  286. prefix = /usr/local
  287. program_transform_name = s,x,x,
  288. psdir = ${docdir}
  289. sbindir = ${exec_prefix}/sbin
  290. sharedstatedir = ${prefix}/com
  291. srcdir = .
  292. sysconfdir = ${prefix}/etc
  293. target_alias =
  294. top_build_prefix =
  295. top_builddir = .
  296. top_srcdir = .
  297. AUTOMAKE_OPTIONS = foreign
  298. SUBDIRS = liblt src table_src utils
  299. EXTRA_DIST = doc examples perl include examples_table
  300. TABLE_DIR = ./table_src
  301. lenstool_tab_LDFLAGS = -lcfitsio -lm
  302. all: all-recursive
  303.  
  304. .SUFFIXES:
  305. am--refresh: Makefile
  306. @:
  307. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  308. @for dep in $?; do \
  309. case '$(am__configure_deps)' in \
  310. *$$dep*) \
  311. echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
  312. $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
  313. && exit 0; \
  314. exit 1;; \
  315. esac; \
  316. done; \
  317. echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
  318. $(am__cd) $(top_srcdir) && \
  319. $(AUTOMAKE) --foreign Makefile
  320. .PRECIOUS: Makefile
  321. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  322. @case '$?' in \
  323. *config.status*) \
  324. echo ' $(SHELL) ./config.status'; \
  325. $(SHELL) ./config.status;; \
  326. *) \
  327. echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
  328. cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
  329. esac;
  330.  
  331. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  332. $(SHELL) ./config.status --recheck
  333.  
  334. $(top_srcdir)/configure: $(am__configure_deps)
  335. $(am__cd) $(srcdir) && $(AUTOCONF)
  336. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  337. $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  338. $(am__aclocal_m4_deps):
  339.  
  340. # This directory's subdirectories are mostly independent; you can cd
  341. # into them and run 'make' without going through this Makefile.
  342. # To change the values of 'make' variables: instead of editing Makefiles,
  343. # (1) if the variable is set in 'config.status', edit 'config.status'
  344. # (which will cause the Makefiles to be regenerated when you run 'make');
  345. # (2) otherwise, pass the desired values on the 'make' command line.
  346. $(am__recursive_targets):
  347. @fail=; \
  348. if $(am__make_keepgoing); then \
  349. failcom='fail=yes'; \
  350. else \
  351. failcom='exit 1'; \
  352. fi; \
  353. dot_seen=no; \
  354. target=`echo $@ | sed s/-recursive//`; \
  355. case "$@" in \
  356. distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  357. *) list='$(SUBDIRS)' ;; \
  358. esac; \
  359. for subdir in $$list; do \
  360. echo "Making $$target in $$subdir"; \
  361. if test "$$subdir" = "."; then \
  362. dot_seen=yes; \
  363. local_target="$$target-am"; \
  364. else \
  365. local_target="$$target"; \
  366. fi; \
  367. ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  368. || eval $$failcom; \
  369. done; \
  370. if test "$$dot_seen" = "no"; then \
  371. $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  372. fi; test -z "$$fail"
  373.  
  374. ID: $(am__tagged_files)
  375. $(am__define_uniq_tagged_files); mkid -fID $$unique
  376. tags: tags-recursive
  377. TAGS: tags
  378.  
  379. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  380. set x; \
  381. here=`pwd`; \
  382. if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
  383. include_option=--etags-include; \
  384. empty_fix=.; \
  385. else \
  386. include_option=--include; \
  387. empty_fix=; \
  388. fi; \
  389. list='$(SUBDIRS)'; for subdir in $$list; do \
  390. if test "$$subdir" = .; then :; else \
  391. test ! -f $$subdir/TAGS || \
  392. set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
  393. fi; \
  394. done; \
  395. $(am__define_uniq_tagged_files); \
  396. shift; \
  397. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  398. test -n "$$unique" || unique=$$empty_fix; \
  399. if test $$# -gt 0; then \
  400. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  401. "$$@" $$unique; \
  402. else \
  403. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  404. $$unique; \
  405. fi; \
  406. fi
  407. ctags: ctags-recursive
  408.  
  409. CTAGS: ctags
  410. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  411. $(am__define_uniq_tagged_files); \
  412. test -z "$(CTAGS_ARGS)$$unique" \
  413. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  414. $$unique
  415.  
  416. GTAGS:
  417. here=`$(am__cd) $(top_builddir) && pwd` \
  418. && $(am__cd) $(top_srcdir) \
  419. && gtags -i $(GTAGS_ARGS) "$$here"
  420. cscope: cscope.files
  421. test ! -s cscope.files \
  422. || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
  423. clean-cscope:
  424. -rm -f cscope.files
  425. cscope.files: clean-cscope cscopelist
  426. cscopelist: cscopelist-recursive
  427.  
  428. cscopelist-am: $(am__tagged_files)
  429. list='$(am__tagged_files)'; \
  430. case "$(srcdir)" in \
  431. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  432. *) sdir=$(subdir)/$(srcdir) ;; \
  433. esac; \
  434. for i in $$list; do \
  435. if test -f "$$i"; then \
  436. echo "$(subdir)/$$i"; \
  437. else \
  438. echo "$$sdir/$$i"; \
  439. fi; \
  440. done >> $(top_builddir)/cscope.files
  441.  
  442. distclean-tags:
  443. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  444. -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
  445.  
  446. distdir: $(DISTFILES)
  447. $(am__remove_distdir)
  448. test -d "$(distdir)" || mkdir "$(distdir)"
  449. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  450. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  451. list='$(DISTFILES)'; \
  452. dist_files=`for file in $$list; do echo $$file; done | \
  453. sed -e "s|^$$srcdirstrip/||;t" \
  454. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  455. case $$dist_files in \
  456. */*) $(MKDIR_P) `echo "$$dist_files" | \
  457. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  458. sort -u` ;; \
  459. esac; \
  460. for file in $$dist_files; do \
  461. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  462. if test -d $$d/$$file; then \
  463. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  464. if test -d "$(distdir)/$$file"; then \
  465. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  466. fi; \
  467. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  468. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  469. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  470. fi; \
  471. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  472. else \
  473. test -f "$(distdir)/$$file" \
  474. || cp -p $$d/$$file "$(distdir)/$$file" \
  475. || exit 1; \
  476. fi; \
  477. done
  478. @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  479. if test "$$subdir" = .; then :; else \
  480. $(am__make_dryrun) \
  481. || test -d "$(distdir)/$$subdir" \
  482. || $(MKDIR_P) "$(distdir)/$$subdir" \
  483. || exit 1; \
  484. dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
  485. $(am__relativize); \
  486. new_distdir=$$reldir; \
  487. dir1=$$subdir; dir2="$(top_distdir)"; \
  488. $(am__relativize); \
  489. new_top_distdir=$$reldir; \
  490. echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
  491. echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
  492. ($(am__cd) $$subdir && \
  493. $(MAKE) $(AM_MAKEFLAGS) \
  494. top_distdir="$$new_top_distdir" \
  495. distdir="$$new_distdir" \
  496. am__remove_distdir=: \
  497. am__skip_length_check=: \
  498. am__skip_mode_fix=: \
  499. distdir) \
  500. || exit 1; \
  501. fi; \
  502. done
  503. -test -n "$(am__skip_mode_fix)" \
  504. || find "$(distdir)" -type d ! -perm -755 \
  505. -exec chmod u+rwx,go+rx {} \; -o \
  506. ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  507. ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  508. ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  509. || chmod -R a+r "$(distdir)"
  510. dist-gzip: distdir
  511. tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  512. $(am__post_remove_distdir)
  513.  
  514. dist-bzip2: distdir
  515. tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
  516. $(am__post_remove_distdir)
  517.  
  518. dist-lzip: distdir
  519. tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
  520. $(am__post_remove_distdir)
  521.  
  522. dist-xz: distdir
  523. tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
  524. $(am__post_remove_distdir)
  525.  
  526. dist-tarZ: distdir
  527. @echo WARNING: "Support for shar distribution archives is" \
  528. "deprecated." >&2
  529. @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  530. tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  531. $(am__post_remove_distdir)
  532.  
  533. dist-shar: distdir
  534. @echo WARNING: "Support for distribution archives compressed with" \
  535. "legacy program 'compress' is deprecated." >&2
  536. @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  537. shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
  538. $(am__post_remove_distdir)
  539.  
  540. dist-zip: distdir
  541. -rm -f $(distdir).zip
  542. zip -rq $(distdir).zip $(distdir)
  543. $(am__post_remove_distdir)
  544.  
  545. dist dist-all:
  546. $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
  547. $(am__post_remove_distdir)
  548.  
  549. # This target untars the dist file and tries a VPATH configuration. Then
  550. # it guarantees that the distribution is self-contained by making another
  551. # tarfile.
  552. distcheck: dist
  553. case '$(DIST_ARCHIVES)' in \
  554. *.tar.gz*) \
  555. GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
  556. *.tar.bz2*) \
  557. bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  558. *.tar.lz*) \
  559. lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
  560. *.tar.xz*) \
  561. xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  562. *.tar.Z*) \
  563. uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  564. *.shar.gz*) \
  565. GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
  566. *.zip*) \
  567. unzip $(distdir).zip ;;\
  568. esac
  569. chmod -R a-w $(distdir)
  570. chmod u+w $(distdir)
  571. mkdir $(distdir)/_build $(distdir)/_inst
  572. chmod a-w $(distdir)
  573. test -d $(distdir)/_build || exit 0; \
  574. dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  575. && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  576. && am__cwd=`pwd` \
  577. && $(am__cd) $(distdir)/_build \
  578. && ../configure \
  579. $(AM_DISTCHECK_CONFIGURE_FLAGS) \
  580. $(DISTCHECK_CONFIGURE_FLAGS) \
  581. --srcdir=.. --prefix="$$dc_install_base" \
  582. && $(MAKE) $(AM_MAKEFLAGS) \
  583. && $(MAKE) $(AM_MAKEFLAGS) dvi \
  584. && $(MAKE) $(AM_MAKEFLAGS) check \
  585. && $(MAKE) $(AM_MAKEFLAGS) install \
  586. && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  587. && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  588. && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  589. distuninstallcheck \
  590. && chmod -R a-w "$$dc_install_base" \
  591. && ({ \
  592. (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  593. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  594. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  595. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  596. distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  597. } || { rm -rf "$$dc_destdir"; exit 1; }) \
  598. && rm -rf "$$dc_destdir" \
  599. && $(MAKE) $(AM_MAKEFLAGS) dist \
  600. && rm -rf $(DIST_ARCHIVES) \
  601. && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  602. && cd "$$am__cwd" \
  603. || exit 1
  604. $(am__post_remove_distdir)
  605. @(echo "$(distdir) archives ready for distribution: "; \
  606. list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  607. sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  608. distuninstallcheck:
  609. @test -n '$(distuninstallcheck_dir)' || { \
  610. echo 'ERROR: trying to run $@ with an empty' \
  611. '$$(distuninstallcheck_dir)' >&2; \
  612. exit 1; \
  613. }; \
  614. $(am__cd) '$(distuninstallcheck_dir)' || { \
  615. echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
  616. exit 1; \
  617. }; \
  618. test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
  619. || { echo "ERROR: files left after uninstall:" ; \
  620. if test -n "$(DESTDIR)"; then \
  621. echo " (check DESTDIR support)"; \
  622. fi ; \
  623. $(distuninstallcheck_listfiles) ; \
  624. exit 1; } >&2
  625. distcleancheck: distclean
  626. @if test '$(srcdir)' = . ; then \
  627. echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  628. exit 1 ; \
  629. fi
  630. @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  631. || { echo "ERROR: files left in build directory after distclean:" ; \
  632. $(distcleancheck_listfiles) ; \
  633. exit 1; } >&2
  634. check-am: all-am
  635. check: check-recursive
  636. all-am: Makefile
  637. installdirs: installdirs-recursive
  638. installdirs-am:
  639. install: install-recursive
  640. install-exec: install-exec-recursive
  641. install-data: install-data-recursive
  642. uninstall: uninstall-recursive
  643.  
  644. install-am: all-am
  645. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  646.  
  647. installcheck: installcheck-recursive
  648. install-strip:
  649. if test -z '$(STRIP)'; then \
  650. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  651. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  652. install; \
  653. else \
  654. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  655. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  656. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  657. fi
  658. mostlyclean-generic:
  659.  
  660. clean-generic:
  661.  
  662. distclean-generic:
  663. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  664. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  665.  
  666. maintainer-clean-generic:
  667. @echo "This command is intended for maintainers to use"
  668. @echo "it deletes files that may require special tools to rebuild."
  669. clean: clean-recursive
  670.  
  671. clean-am: clean-generic mostlyclean-am
  672.  
  673. distclean: distclean-recursive
  674. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  675. -rm -f Makefile
  676. distclean-am: clean-am distclean-generic distclean-tags
  677.  
  678. dvi: dvi-recursive
  679.  
  680. dvi-am:
  681.  
  682. html: html-recursive
  683.  
  684. html-am:
  685.  
  686. info: info-recursive
  687.  
  688. info-am:
  689.  
  690. install-data-am:
  691.  
  692. install-dvi: install-dvi-recursive
  693.  
  694. install-dvi-am:
  695.  
  696. install-exec-am:
  697.  
  698. install-html: install-html-recursive
  699.  
  700. install-html-am:
  701.  
  702. install-info: install-info-recursive
  703.  
  704. install-info-am:
  705.  
  706. install-man:
  707.  
  708. install-pdf: install-pdf-recursive
  709.  
  710. install-pdf-am:
  711.  
  712. install-ps: install-ps-recursive
  713.  
  714. install-ps-am:
  715.  
  716. installcheck-am:
  717.  
  718. maintainer-clean: maintainer-clean-recursive
  719. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  720. -rm -rf $(top_srcdir)/autom4te.cache
  721. -rm -f Makefile
  722. maintainer-clean-am: distclean-am maintainer-clean-generic
  723.  
  724. mostlyclean: mostlyclean-recursive
  725.  
  726. mostlyclean-am: mostlyclean-generic
  727.  
  728. pdf: pdf-recursive
  729.  
  730. pdf-am:
  731.  
  732. ps: ps-recursive
  733.  
  734. ps-am:
  735.  
  736. uninstall-am:
  737.  
  738. .MAKE: $(am__recursive_targets) install-am install-strip
  739.  
  740. .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
  741. am--refresh check check-am clean clean-cscope clean-generic \
  742. cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
  743. dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
  744. distcheck distclean distclean-generic distclean-tags \
  745. distcleancheck distdir distuninstallcheck dvi dvi-am html \
  746. html-am info info-am install install-am install-data \
  747. install-data-am install-dvi install-dvi-am install-exec \
  748. install-exec-am install-html install-html-am install-info \
  749. install-info-am install-man install-pdf install-pdf-am \
  750. install-ps install-ps-am install-strip installcheck \
  751. installcheck-am installdirs installdirs-am maintainer-clean \
  752. maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
  753. pdf-am ps ps-am tags tags-am uninstall uninstall-am
  754.  
  755.  
  756. table:
  757. cd $(TABLE_DIR) ; rm -f ./lenstool.tab ; ./lenstool_tab default.in
  758.  
  759. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  760. # Otherwise a system limit (for SysV at least) may be exceeded.
  761. .NOEXPORT:
Advertisement
Add Comment
Please, Sign In to add comment
Advertisement